Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Eclipse Mars crashes on startup(Eclipse crashing on startup)
Eclipse Mars crashes on startup [message #1832347] Wed, 16 September 2020 20:10 Go to next message
Robin  Shields is currently offline Robin ShieldsFriend
Messages: 3
Registered: September 2020
Junior Member
I have an embedded version of Eclipse Mars bundled with my Intel FPGA NIOS II tools.

When I try to start it I get an error message..

Quote:
!SESSION 2020-09-16 15:38:27.224 -----------------------------------------------
eclipse.buildId=4.5.2.M20160212-1500
java.version=1.8.0_05
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US
Framework arguments: -product org.eclipse.epp.package.cpp.product -pluginCustomization C:/intelfpga_lite/18.1/nios2eds/bin/eclipse_nios2/plugin_customization.ini
Command-line arguments: -os win32 -ws win32 -arch x86_64 -product org.eclipse.epp.package.cpp.product -pluginCustomization C:/intelfpga_lite/18.1/nios2eds/bin/eclipse_nios2/plugin_customization.ini

!ENTRY org.eclipse.osgi 4 0 2020-09-16 15:38:27.911
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: Application "org.eclipse.ui.ide.workbench" could not be found in the registry. The applications available are: org.eclipse.cdt.codan.core.application, org.eclipse.cdt.core.GeneratePDOM, org.eclipse.cdt.managedbuilder.core.headlessbuild, org.eclipse.e4.ui.workbench.swt.E4Application, org.eclipse.e4.ui.workbench.swt.GenTopic, org.eclipse.equinox.app.error, org.eclipse.help.base.infocenterApplication, org.eclipse.help.base.helpApplication, org.eclipse.help.base.indexTool.
at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:248)
at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:380)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:235)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:669)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:608)
at org.eclipse.equinox.launcher.Main.run(Main.java:1515)
at org.eclipse.equinox.launcher.Main.main(Main.java:1488)


I have uninstalling and reinstalling and I am still getting the same message.

Eclipse was starting yesterday.

in terms of Java I have


Java 8 Update 261 (64 bit)
Java SE Development Kit 8 Update 261 (64 bit)

I am running Windows 10 pro 64 bit.





  • Attachment: java.png
    (Size: 12.08KB, Downloaded 17 times)
Re: Eclipse Mars crashes on startup [message #1832356 is a reply to message #1832347] Thu, 17 September 2020 05:55 Go to previous messageGo to next message
Ed Merks is currently online Ed MerksFriend
Messages: 31702
Registered: July 2009
Senior Member
Mars is super old and if someone else has repackaged it, then it's best to ask them. But given it's so old, it's likely that thing too super outdated as well...

Recent downloads are here:

https://www.eclipse.org/downloads/packages/


Ed Merks
Professional Support: https://www.macromodeling.com/
Re: Eclipse Mars crashes on startup [message #1832402 is a reply to message #1832356] Thu, 17 September 2020 13:27 Go to previous messageGo to next message
Robin  Shields is currently offline Robin ShieldsFriend
Messages: 3
Registered: September 2020
Junior Member
It seems as if embedded providers who use Eclipse don't give us a choice as to Eclipse version.

I use Eclipse for two separate embedded devices: Netburner (NBEclipse) and Intel FPGA NIOS II.

On both platforms I have had bad experiences as they cannot answer questions like this. So I came here as a last resort,

I really wish they would not use Eclipse.
Re: Eclipse Mars crashes on startup [message #1832408 is a reply to message #1832402] Thu, 17 September 2020 13:33 Go to previous messageGo to next message
Ed Merks is currently online Ed MerksFriend
Messages: 31702
Registered: July 2009
Senior Member
I really wish they would keep their distributions up-to-date.

Ed Merks
Professional Support: https://www.macromodeling.com/
Re: Eclipse Mars crashes on startup [message #1832466 is a reply to message #1832408] Fri, 18 September 2020 12:22 Go to previous messageGo to next message
Robin  Shields is currently offline Robin ShieldsFriend
Messages: 3
Registered: September 2020
Junior Member
Ed Merks wrote on Thu, 17 September 2020 13:33
I really wish they would keep their distributions up-to-date.


I see how far they are out of date. Intel FPGA use Mars 2.0 for their 2020 release of of the NIOS II processor software.

To be frank I wish a lot of these embedded would stop using Eclipse and write their own IDE. Simply because they shrug responsibility when stuff goes wrong.

At least I got some honesty coming here.
Re: Eclipse Mars crashes on startup [message #1832498 is a reply to message #1832466] Sat, 19 September 2020 05:48 Go to previous messageGo to next message
Ed Merks is currently online Ed MerksFriend
Messages: 31702
Registered: July 2009
Senior Member
Developing an IDE is far from a trivial exercise! Such a thing likely involves a great many millions of euros/dollars of investment. When we get things for free, wishes is all we get... I wish things that are tested with Java 8 just worked on Java 15 too, but alas, that's not the case either...

Ed Merks
Professional Support: https://www.macromodeling.com/
Re: Eclipse Mars crashes on startup [message #1832533 is a reply to message #1832498] Sun, 20 September 2020 17:32 Go to previous message
Dani  Sin is currently offline Dani SinFriend
Messages: 4
Registered: July 2020
Junior Member
I also have this same problem is there anyone who can help me out of this .....?

[Updated on: Sun, 20 September 2020 19:41] by Moderator

Report message to a moderator

Previous Topic:Update sites
Next Topic:cant upgrade from 4.14 to 4.15
Goto Forum:
  


Current Time: Mon Jan 18 04:32:48 GMT 2021

Powered by FUDForum. Page generated in 0.04813 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top